<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $GLOBALS['language']->language; ?>" xml:lang="<?php print $GLOBALS['language']->language; ?>">
<head>
  <title><?php print t('File viewer'); ?></title>
  <?php
      if (module_exists('admin_menu')) {
        admin_menu_suppress();
      }
      $filepath = fileviewer_path($variables['file']->fid);
      $pdf_uri = file_create_url('public://' . variable_get('fileviewer_path', 'fileviewer') . '/' . $file->fid);
      drupal_add_js(array('fileviewer' => array('pdfFolder' => $pdf_uri)), 'setting');
      $images = file_scan_directory($filepath, '/.*\.png/', array('recurse' => FALSE));
      sort($images);
/*
      $images = file_scan_directory(drupal_realpath(file_build_uri(variable_get('fileviewer_path', 'fileviewer') . '/' . $file->fid)), '/.*\.png/');
      if (variable_get('fileviewer_pdf_iabookreader_search_inside', TRUE) == TRUE) {
        drupal_add_js(array('fileviewer' => array('searchInside' => true)), 'setting');
      }
 */
      if (user_access('download file from fileviewer')) {
        drupal_add_js(array('fileviewer' => array('filename' => $file->filename)), 'setting');
        drupal_add_js(array('fileviewer' => array('filepath' => file_create_url($file->uri))), 'setting');
      }
      else {
        drupal_add_js(array('fileviewer' => array('filepath' => '', 'filename' => $file->filename)), 'setting');
      }
      $cover = reset($images);
      $image_size = getimagesize($cover->uri);
      drupal_add_js(array('fileviewer' => array('pageNumber' => count($images), 'pageWidth' => $image_size[0], 'pageHeight' => $image_size[1])), 'setting');
      global $base_url;
      $library = libraries_get_path('bookreader') . '/BookReader';
      drupal_add_js(array('fileviewer' => array('bookId' => $file->fid, 'server' => $_SERVER['SERVER_NAME'] . base_path() . 'fileviewer', 'imagesBaseURL' => $base_url . '/' . $library . '/images/')), 'setting');
      drupal_add_css($library . '/BookReader.css');
      drupal_add_css($library . '/BookReaderEmbed.css');

      drupal_add_js($library . '/jquery-ui-1.8.5.custom.min.js');
      drupal_add_js($library . '/dragscrollable.js');
      drupal_add_js($library . '/jquery.colorbox-min.js');
      drupal_add_js($library . '/jquery.bt.min.js');
      drupal_add_js($library . '/BookReader.js');
      drupal_add_js(drupal_get_path('module', 'fileviewer') . '/js/bookreader.js', array('scope' => 'footer'));
      drupal_add_css(drupal_get_path('module', 'fileviewer') . '/fileviewer.css');
  ?>
  <?php print drupal_get_html_head(); ?>
  <?php print drupal_get_css(); ?>
  <?php print drupal_get_js('header');; ?>
  <style media="all" type="text/css">/*Quick-override*/</style>
</head>
<body style="background-color: ##939598;">
  <div id="filevieer-messages"><?php print theme('status_messages'); ?></div>
  <div  class="fileviwer">
    <div id="BookReader">
    </div>
  </div>
  <?php print drupal_get_js('footer'); ?>
</body>

</html>
